<template>
  <div>
    <section>
      <hub-main-screen />
    </section>
    <section class='wrap-advantage-hub'>
      <advantage-hub />
    </section>
<!--    <section class='wrap-ready-mode'>
      <ready-mode />
    </section>-->
<!--    <section class='wrap-otc-plans'>
      <otc-plans />
    </section> -->
    <section class='wrap-our-customers'>
      <our-customers />
    </section>
    <section class='wrap-hub-company'>
      <hub-company />
    </section>
    <section class='warp-getting-started'>
      <getting-started />
    </section>
    <section class='wrap-business-today'>
      <business-today />
    </section>
  </div>
</template>

<script>
import HubMainScreen from '../components/hub/HubMainScreen'
import AdvantageHub from '../components/hub/AdvantageHub'
import OurCustomers from '../components/hub/OurCustomers'
import HubCompany from '../components/hub/HubCompany'
import GettingStarted from '../components/hub/GettingStarted'
import BusinessToday from '../components/hub/BusinessToday'
export default {
  components: { BusinessToday, GettingStarted, HubCompany, OurCustomers,  AdvantageHub, HubMainScreen },

  head() {
    return {
      title: 'TBCC | Hub',
      link: [
        {
          rel: "canonical", href: `https://tbcctoken.com${this.$route.path}`
        }
      ]
    }
  },

}
</script>

<style lang='scss' scoped>
.wrap-advantage-hub {
  padding-bottom: 95px;
  position: relative;
  z-index: 1;

  @media(min-width: 768px) {
    padding-bottom: 155px;

    &::before {
      content: "";
      position: absolute;
      width: 497px;
      height: 411px;
      top: -5px;
      left: 0;
      background-image: url("../assets/img/hub/bg-advantage-hub.svg");
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      z-index: -1;
    }
  }
}

.wrap-ready-mode {
  padding-bottom: 95px;
  position: relative;
  z-index: 1;

  @media(min-width: 768px) {
    &::before {
      content: "";
      position: absolute;
      bottom: 55px;
      left: -100px;
      width: 628px;
      height: 958px;
      background-image: url("assets/img/bg-page-app.svg");
      transform: scale(-1, 1);
      background-repeat: no-repeat;
      background-position: center;
      pointer-events: none;
      z-index: -1;
    }
  }
}

.wrap-otc-plans {
  padding-bottom: 140px;
}

.wrap-our-customers {
  display: none;
  @media(min-width: 768px) {
    display: block;
  }
}

.wrap-hub-company {
  padding-bottom: 35px;
  position: relative;

  @media(min-width: 768px) {
    top: -100px;
  }
}

.warp-getting-started {
  padding-bottom: 90px;

  @media(max-width: 767px) {
    padding-bottom: 0;
  }
}

.wrap-business-today {
  position: relative;
  z-index: 1;
  padding-bottom: 130px;

  @media(min-width: 768px) {
    &::after {
      content: "";
      width: 1798px;
      height: 715px;
      background-image: url("assets/img/stones@2x.png");
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: 0;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }
}
</style>
